[tor-commits] [tor/release-0.3.3] SKIP test_key_expiration.sh on Windows until the underlying issue is resolved

nickm at torproject.org nickm at torproject.org
Thu Jul 19 12:31:15 UTC 2018


commit 449d190e2e447937893d228e63292512c06cb531
Author: teor <teor2345 at gmail.com>
Date:   Wed Jul 18 12:37:12 2018 +1000

    SKIP test_key_expiration.sh on Windows until the underlying issue is resolved
    
    Skip an unreliable key expiration test on Windows, until the underlying
    issue in bug 26076 is resolved.
    
    Fixes bug 26853; bugfix on 0.3.2.1-alpha.
---
 changes/bug26853                | 3 +++
 src/test/test_key_expiration.sh | 8 ++++++++
 2 files changed, 11 insertions(+)

diff --git a/changes/bug26853 b/changes/bug26853
new file mode 100644
index 000000000..6ee47789b
--- /dev/null
+++ b/changes/bug26853
@@ -0,0 +1,3 @@
+  o Minor bugfixes (continuous integration):
+    - Skip an unreliable key expiration test on Windows, until the underlying
+      issue in bug 26076 is resolved. Fixes bug 26853; bugfix on 0.3.2.1-alpha.
diff --git a/src/test/test_key_expiration.sh b/src/test/test_key_expiration.sh
index 5511dbf18..cf6608634 100755
--- a/src/test/test_key_expiration.sh
+++ b/src/test/test_key_expiration.sh
@@ -13,6 +13,14 @@ if [ $# -eq 0 ] || [ ! -f ${1} ] || [ ! -x ${1} ]; then
   fi
 fi
 
+UNAME_OS=`uname -s | cut -d_ -f1`
+if test "$UNAME_OS" = 'CYGWIN' || \
+   test "$UNAME_OS" = 'MSYS' || \
+   test "$UNAME_OS" = 'MINGW'; then
+  echo "This test is unreliable on Windows. See trac #26076. Skipping." >&2
+  exit 77
+fi
+
 if [ $# -ge 1 ]; then
   TOR_BINARY="${1}"
   shift





More information about the tor-commits mailing list